package com.yidianling.user.http.request;

public class BindPhoneRequest {
    String accessCode;
    String countryCode;
    String outId;
    String phoneNumber;
    int type;
    String uid;
    String verifyCode;


    @Override
    public String toString() {
        return "BindPhoneRequest{" +
                "accessCode='" + accessCode + '\'' +
                ", countryCode='" + countryCode + '\'' +
                ", outId='" + outId + '\'' +
                ", phoneNumber='" + phoneNumber + '\'' +
                ", type=" + type +
                ", uid='" + uid + '\'' +
                ", verifyCode='" + verifyCode + '\'' +
                '}';
    }

    public BindPhoneRequest(String accessCode, String countryCode, String outId, String phoneNumber, int type, String uid, String verifyCode) {
        this.accessCode = accessCode;
        this.countryCode = countryCode;
        this.outId = outId;
        this.phoneNumber = phoneNumber;
        this.type = type;
        this.uid = uid;
        this.verifyCode = verifyCode;
    }

    public String getAccessCode() {
        return accessCode;
    }

    public void setAccessCode(String accessCode) {
        this.accessCode = accessCode;
    }

    public String getCountryCode() {
        return countryCode;
    }

    public void setCountryCode(String countryCode) {
        this.countryCode = countryCode;
    }

    public String getOutId() {
        return outId;
    }

    public void setOutId(String outId) {
        this.outId = outId;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getVerifyCode() {
        return verifyCode;
    }

    public void setVerifyCode(String verifyCode) {
        this.verifyCode = verifyCode;
    }
}